Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 319457 - app-emulation/vmware-server-2.0.2.203138-r1 should not RDEPEND on media-libs/libpng:1.2 but on =media-libs/libpng-1.2*
Summary: app-emulation/vmware-server-2.0.2.203138-r1 should not RDEPEND on media-libs/...
Status: VERIFIED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: High normal with 1 vote (vote)
Assignee: Vadim Kuznetsov (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-12 19:45 UTC by Stuart W. Finlayson
Modified: 2010-05-13 23:48 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stuart W. Finlayson 2010-05-12 19:45:09 UTC
media-libs/libpng-1.2.43-r2 changes the SLOT from "1.2" (in the r1) to "0" causing blocking with app-emulation/vmware-server-2.0.2.203138-r1 and www-client/chromium-bin.

emerge --info:
Portage 2.1.8.3 (default/linux/amd64/10.0, gcc-4.3.4, glibc-2.10.1-r1, 2.6.32-gentoo-r7 x86_64)
=================================================================
System uname: Linux-2.6.32-gentoo-r7-x86_64-Intel-R-_Core-TM-2_CPU_6700_@_2.66GHz-with-gentoo-1.12.13
Timestamp of tree: Wed, 12 May 2010 18:45:02 +0000
app-shells/bash:     4.0_p37
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.4-r1
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.63-r1
sys-devel/automake:  1.8.5-r3, 1.9.6-r2, 1.10.3, 1.11.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=core2 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.mirrors.tds.net/gentoo http://gentoo.osuosl.org/ http://distro.ibiblio.org/pub/linux/distributions/gentoo/"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude-from=/etc/portage/rsync_excludes"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="X a52 aac alsa amd64 amr bash-completion berkdb bzip2 cairo cli corefonts cracklib crypt cups curl cxx dbus dri dvd encode fam ffmpeg flac fortran gdbm gif gpm iconv ieee1394 imlib ipv6 jpeg kde kipi lame mad matroska mmx mmxext mng modules mp3 mudflap multilib ncurses nls nptl nptlonly ogg opengl openmp pam pcap pcre perl png ppds pppd python qt3support qt4 readline reflection rtc ruby sdl semantic-desktop session smi smp spell spl srt sse sse2 sse3 ssl ssse3 symlink sysfs tcpd threads truetype unicode usb vim-with-x vorbis x264 xcomposite xmp xorg xv xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="dummy fbdev nvidia vesa vga" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTDIR_OVERLAY
Comment 1 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-05-12 19:53:48 UTC
Fixed already. Re-open if future problems after you have confirmed you are using these ebuilds (Look at $Header$ tag)

http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/app-emulation/vmware-server/vmware-server-2.0.2.203138-r1.ebuild?view=log

http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/www-client/chromium-bin/
Comment 2 Stuart W. Finlayson 2010-05-12 23:02:28 UTC
www-client/chromium-bin is indeed fixed.  

But, app-emulation/vmware-server-2.0.2.203138-r1 is not.  The current HEAD (1.3) still has the RDEPEND relying on the "1.2" SLOT.  Causing `emerge -uDN world` to choke:

 
Calculating dependencies... done!
[ebuild  NS   ] media-libs/libpng-1.2.43-r1 [1.2.43-r2]
[blocks B     ] <media-libs/libpng-1.2.43-r2 ("<media-libs/libpng-1.2.43-r2" is blocking media-libs/libpng-1.2.43-r2)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('ebuild', '/', 'media-libs/libpng-1.2.43-r1', 'merge') pulled in by
    media-libs/libpng:1.2 required by ('installed', '/', 'app-emulation/vmware-server-2.0.2.203138-r1', 'nomerge')

  ('installed', '/', 'media-libs/libpng-1.2.43-r2', 'nomerge') pulled in by
    >=media-libs/libpng-1.2.5 required by ('installed', '/', 'app-text/ghostscript-gpl-8.64-r3', 'nomerge')
    media-libs/libpng required by ('installed', '/', 'media-video/mplayer-1.0_rc4_p20100506', 'nomerge')
    >=media-libs/libpng-1.2.15 required by ('installed', '/', 'media-libs/libass-0.9.8', 'nomerge')
    (and 12 more)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked
Comment 3 tanstaafl@libertytrek.org 2010-05-13 10:25:31 UTC
Hello,

I have an X-less server system that is also experiencing this bug...

First - I sync and run emerge -pvuDN *daily* to see whats up (only update every week or two after updates are available to try to keep from getting bit), so I am wondering why 1.2.40 was *hard* masked the *same* *day* that the new/updated ebuilds were made available?

myhost : Tue May 13, 06:04:57 : ~
 # emerge -pvuDN world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  NS   ] media-libs/libpng-1.2.43-r2 [1.2.40] 527 kB [0]
[ebuild     U ] media-libs/libpng-1.2.43-r1 [1.2.40] 0 kB [0]
[blocks B     ] <media-libs/libpng-1.2.43-r2
("<media-libs/libpng-1.2.43-r2" is blocking media-libs/libpng-1.2.43-r2)

<snip> Blocking commentary

How can a package be blocking itself?

Should I just unmerge media-libs/libpng-1.2.43-r1?

According to equery the only thing that depends on libpng on my system is php:

myhost : Thu May 13, 06:05:21 : ~
 # equery depends libpng
[ Searching for packages depending on libpng... ]
dev-lang/php-5.2.13 (cjk & !gd & !gd-external? media-libs/libpng)
                    (exif&!gd&!gd-external? media-libs/libpng)
                    (gd? media-libs/libpng)
                    (truetype&!gd&!gd-external? media-libs/libpng)
                    (xpm? media-libs/libpng)
myhost : Thu May 13, 06:05:25 : ~
 #

Finally, my sys info:

myhost : Thu May 13, 06:20:25 : ~
 # emerge --info
Portage 2.1.8.3 (default/linux/amd64/10.0/server, gcc-4.3.4, glibc-2.10.1-r1, 2.6.32-gentoo-r7 x86_64)
=================================================================
System uname: Linux-2.6.32-gentoo-r7-x86_64-AMD_Opteron-tm-_Processor_244-with-gentoo-1.12.13
Timestamp of tree: Thu, 13 May 2010 10:00:01 +0000
app-shells/bash:     4.0_p37
dev-lang/python:     2.5.4-r4, 2.6.4-r1
dev-python/pycrypto: 2.1.0_beta1
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.63-r1
sys-devel/automake:  1.7.9-r2, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=opteron -O2"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=opteron -O2"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.datapipe.net/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/whyscream /usr/local/portage/layman/sunrise /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow acl amd64 apache2 berkdb bzip2 cli cracklib crypt cups curl cxx dovecot-sasl dri fam fortran gd gdbm gpm iconv ipv6 mmx modules mudflap multilib mysql ncurses nls nptl nptlonly openmp pam pcre perl pppd python readline reflection sasl session snmp spl sse sse2 ssl sysfs tcpd truetype unicode vhosts xml xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="prefork" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa via vmware voodoo" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

myhost : Thu May 13, 06:21:51 : ~
 # 
Comment 4 Jeroen Roovers (RETIRED) gentoo-dev 2010-05-13 15:20:30 UTC
I believe this is already fixed in CVS.

# ChangeLog for www-client/chromium-bin
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/www-client/chromium-bin/ChangeLog,v 1.67 2010/05/12 18:46:03 phajdan.jr Exp $

  12 May 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org>
  chromium-bin-5.0.308.0_p37385.ebuild,
  chromium-bin-5.0.376.0_p44230.ebuild, chromium-bin-9999.ebuild:
  Fix the libpng dep, thanks to reavertm and ssuominen.

  10 May 2010; Bernard Cafarelli <voyageur@gentoo.org>
  chromium-bin-5.0.308.0_p37385.ebuild,
  chromium-bin-5.0.376.0_p44230.ebuild, chromium-bin-9999.ebuild:
  Correct libpng 1.2 dependency
Comment 5 tanstaafl@libertytrek.org 2010-05-13 16:50:01 UTC
Ummm...

I have the same/very similar problem but I don't have chromium installed - in fact, if you read my report, I don't have X installed.

Unless you mean fixing the chromium ebuild will fix my problem??

Otherwise, I will re-open this bug... or should I open a new one?
Comment 6 Jeroen Roovers (RETIRED) gentoo-dev 2010-05-13 16:54:26 UTC
OK, so it's just vmware-server.
Comment 7 tanstaafl@libertytrek.org 2010-05-13 18:30:59 UTC
I don't have vmware server installed either.

The only dep equery shows is for libpng is php...
Comment 8 Vadim Kuznetsov (RETIRED) gentoo-dev 2010-05-13 18:52:01 UTC
I had the same problem with =media-libs/libpng-1.2* on ~amd64 system.

[ebuild     UD] media-libs/libpng-1.2.43-r2 [1.4.2] 0 kB
[uninstall    ] media-libs/libpng-1.2.43-r1 
[blocks b     ] <media-libs/libpng-1.2.43-r2 ("<media-libs/libpng-1.2.43-r2" is blocking media-libs/libpng-1.2.43-r2)

!!! One or more updates have been skipped due to a dependency conflict:

media-libs/libpng:0

  ('ebuild', '/', 'media-libs/libpng-1.4.2', 'merge') conflicts with
    =media-libs/libpng-1.2* required by ('installed', '/', 'app-emulation/vmware-server-2.0.2.203138-r1', 'nomerge')


Now libpng-1.4.2 was downgraded and revdep-rebuild wants to rebuild half of my system.

It seems to me one way or another one branch will be upset.

I think depend on media-libs/libpng:1.2 is correct, but libpng-1.2.43-r2 (SLOT 0) should not be stable.

ssuominen? anyone?

Thanks.




Comment 9 Jeroen Roovers (RETIRED) gentoo-dev 2010-05-13 18:58:35 UTC
(In reply to comment #7)
> I don't have vmware server installed either.
> 
> The only dep equery shows is for libpng is php...

Then this bug report isn't for you.(In reply to comment #5)

> Ummm...
> 
> I have the same/very similar problem but I don't have chromium installed - in
> fact, if you read my report, I don't have X installed.

It wasn't your bug report to begin with.

> or should I open a new one?

Duh.
Comment 10 Stuart W. Finlayson 2010-05-13 19:24:28 UTC
(In reply to comment #6)
> OK, so it's just vmware-server.
> 

Yes.
Comment 11 tanstaafl@libertytrek.org 2010-05-13 20:10:15 UTC
(In reply to comment #9)
> (In reply to comment #7)
>> I don't have vmware server installed either.
>> 
>> The only dep equery shows is for libpng is php...

> Then this bug report isn't for you.(In reply to comment #5)
> 
>> Ummm...
>> 
>> I have the same/very similar problem but I don't have chromium installed - in
>> fact, if you read my report, I don't have X installed.

> It wasn't your bug report to begin with.

What's with the attitude??

>> or should I open a new one?

> Duh.

No need to be an asshole about it.
Comment 12 tanstaafl@libertytrek.org 2010-05-13 20:36:51 UTC
(In reply to comment #9)
> (In reply to comment #7)
>> I don't have vmware server installed either.
>> 
>> The only dep equery shows is for libpng is php...

> Then this bug report isn't for you.(In reply to comment #5)

Incidentally - I wasn't trying to hijack this bug as you seem to be implying, I was trying to add to it.

My issue plainly shows that there is a problem with the libpng ebuild all by itself.

I just thought that might be relevant.

Sorry to waste your (and obviously my) time...
Comment 13 Vadim Kuznetsov (RETIRED) gentoo-dev 2010-05-13 22:36:24 UTC
1. media-libs/libpng was bumped to media-libs/libpng-1.2.43-r3 (thanks
ssuominen)
2. RDEPEND is =media-libs.libpng-1.2*
3. Please sync and try again.

Thanks.

Comment 14 Stuart W. Finlayson 2010-05-13 23:48:21 UTC
Works for me.  Thanks.